# Interface Node

#### Hierarchy

- Node

- Defined in modules/packages/node/packages/model/dist/types/Node.d.ts:6

#####
Index

### Methods

attach
attached
detach
registered

## Methods

### attach

- attach(nameOrAddress, external?): Promisable<undefined | string, never>

- #### Parameters

  - ##### nameOrAddress: string

  - ##### `Optional` external: boolean

  #### Returns Promisable<undefined | string, never>

  - Defined in modules/packages/node/packages/model/dist/types/Node.d.ts:7

### attached

- attached(): Promisable<string[], never>

- #### Returns Promisable<string[], never>

  - Defined in modules/packages/node/packages/model/dist/types/Node.d.ts:8

### detach

- detach(nameOrAddress): Promisable<undefined | string, never>

- #### Parameters

  - ##### nameOrAddress: string

  #### Returns Promisable<undefined | string, never>

  - Defined in modules/packages/node/packages/model/dist/types/Node.d.ts:9

### registered

- registered(): Promisable<string[], never>

- #### Returns Promisable<string[], never>

  - Defined in modules/packages/node/packages/model/dist/types/Node.d.ts:10

Generated using TypeDoc